Skip to main content
`Ctrl`+`K`

# TaoSetFunctionLowerBound

Sets a bound on the solution objective value. When an approximate solution with an objective value below this number has been found, the solver will terminate.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetFunctionLowerBound(Tao tao, PetscReal fmin)

Logically Collective

## Input Parameters

- tao - the Tao solver context

- fmin - the tolerance

## Options Database Key

- -tao_fmin <fmin> - sets the minimum function value

## See Also

TAO: Optimization Solvers, `Tao`, `TaoConvergedReason`, `TaoSetTolerances()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages